News 30.04.2012, 11:55 Uhr

Zwangs-Update für Firefox 3.6

Wer noch immer Firefox 3.6 verwendet, wird in wenigen Tagen automatisch auf Firefox 12 aktualisiert. Das Zwangs-Update lässt sich aber mit einem Trick vermeiden.
Wie unsere Schwesterpublikation Computerworld berichtet, will Mozilla im Mai Firefox 3.6 per Zwangs-Update auf die aktuelle Version Firefox 12 aktualisieren. Das Update soll automatisch ohne Zutun des Anwenders erfolgen. Für diese Vorgehensweise gibt es ein Beispiel aus der Vergangenheit: Mozilla hatte bereits vor einem Jahr Firefox 3.5 per automatisches Update zwangsweise auf Firefox 3.6 aktualisiert.
Das genaue Datum für das automatische Update von Firefox 3.6 stehe noch nicht fest, es soll aber in jedem Fall Anfang Mai erfolgen. Der Grund für das Zwangs-Update sind Sicherheitsüberlegungen; die Firefox-Anwender sollen nur noch die neuste Firefox-Version verwenden, weil für Firefox 3.6 keine Sicherheits-Updates und Patches mehr erscheinen.
Grundsätzlich ist gegen das Update auf Firefox 12 nichts zu sagen, nahezu alle wichtigen und beliebten Firefox-Add-Ons sind mit Firefox 12 kompatibel. Allerdings gibt es gerade im Unternehmenseinsatz durchaus Gründe dafür, länger an einer älteren Version festzuhalten. Mitunter laufen spezielle Unternehmensprogramme wie beispielsweise bestimmte Content-Management-Systeme nur mit Firefox 3.6 und die Webentwickler brauchen noch Zeit, um die Anwendungen kompatibel mit Firefox 12 zu machen.
Firefox 3.6 weiterhin benutzen: So gehts
Wer also unbedingt weiterhin Firefox 3.6 nutzen will oder muss, kann das mit einem einfachen Trick erreichen. Man muss dazu nur die Update-Funktion in Firefox 3.6 abschalten. Das geht über «Extras, Einstellungen, Erweitert, Update» und dort über den Eintrag «Automatisch auf Updates prüfen». Hier das Häkchen entfernen. Das wars, von nun an bleibt Firefox 3.6 unverändert. Aber bedenken Sie: Es erscheinen eben auch keine Sicherheits-Updates mehr für Firefox 3.6. In Firefox 3.6 neu entdeckte Sicherheitslücken bleiben somit offen und können von Angreifern ausgenutzt werden.


Kommentare

Avatar
_sven_
30.04.2012
seber habe ich auch firefox 12 aber eingestellt damit er sich nicht autom updatet. sehe keinen grund von der version 3.6 nicht auf 12 zu updaten.

Avatar
MacBit
30.04.2012
Mit meinem iBook G4 und Mac OS X 10.4.11 bin ich noch an Firefox 3.6 gebunden. :mad:

Avatar
_sven_
30.04.2012
Mit meinem iBook G4 und Mac OS X 10.4.11 bin ich noch an Firefox 3.6 gebunden. :mad: und os x updaten wäre keine variante? zudem ist bei mac standart safari.

Avatar
Lunerio
30.04.2012
Und? Bei Windows ist Internet Explorer standard und benutze das trotzdem nicht. Komische Aussage...

Avatar
schmidicom
02.05.2012
Wie ein "Content-Management-System" von einer speziellen und derart veralteten Firefox-Version abhängig sein kann muss mir hier mal einer erklären. :confused: Und jede Firma die mit einer solchen Software (wo derart veraltete Abhängigkeiten ein muss sind) arbeitet sollte sich mal ernsthaft Gedanken über ihre IT Strategie machen.